#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

P=inxi
V=3.1.00
USER=`cat /etc/sysconfig/tcuser`

LIST="submitqc "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://raw.githubusercontent.com/smxi/inxi/master/inxi "  $USER
mv inxi inxi-bin
mkdir -p $P/usr/local/bin
mv inxi-bin $P/usr/local/bin/$P
chmod 755 $P/usr/local/bin/$P

# TCZ them
###########
LIST2="$P  "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          inxi.tcz
Description:    Command line system information script for console
Version:        3.1.00
Author:         See top of /usr/local/bin with a text editor
Original-site:  https://raw.githubusercontent.com/smxi/inxi/master/inxi
Copying-policy: GPL v3 
Size:           248K         		
Extension_by:   aus9  
Tags:          hardware 
Comments:   Online manual is here
            https://smxi.org/docs/inxi-man.htm

            inxi can show system hardware, CPU, drivers, Xorg, Desktop, 
            --Kernel, gcc version(s), Processes, RAM usage, and a 
            -----wide variety of other useful information.

            The following may be useful but its up to you to 
            decide how much info to share on a forum or IRC
 
            bind.tcz for dig/WAN IP  info          
            dmidecode.tcz for bios info
            libXrandr.tcz for libX/Xorg graphic resolutions
            lm-sensors.tcs for sensor info 
            mesa-demos.tcz for glxinfo command for graphics
            pciutils.tcz for info from lspci command
            procps-ng.tcz for processes info
            upower.tcz for power/battery info        
            usb-utils.tcz for usb device info
            util-linux.tcz for blockdev info

            $ sudo inxi -F will give you motherboard serial number
        
                          
Change-log:     2020/05/24 first version for 11x   v  3.1.00
Current:        2020/05/24 
' > $P.tcz.info

echo 'perl5.tcz
coreutils.tcz' > $P.tcz.dep

submitqc --libs
